List refunds
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/refunds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payment/intents/{paymentIntentId}/refunds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payment/intents/{paymentIntentId}/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ref_8Lm3Vp",
"amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"reason": {
"value": "<string>",
"label": "<string>"
},
"note": "<string>",
"failure_code": "<string>",
"failure_message": "<string>",
"metadata": {},
"payout": {
"id": "<string>",
"gateway_code": "<string>",
"method": "<string>",
"recipient": {
"id": "pin_5Yt2Wc",
"phone_number": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"bank_code": "<string>",
"swift_bic": "<string>",
"country": {
"code": "US",
"name": "United States",
"flag": "<string>"
},
"address": "<string>",
"network": "<string>",
"memo_tag": "<string>"
},
"gateway_transaction_id": "<string>",
"fee_amount": 123,
"status": "<string>",
"initiated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"count": 25,
"path": "<string>",
"per_page": 25,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>",
"has_more_pages": true,
"has_pages": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Refunds
List refunds
Every refund on this payment.
GET
/
payment
/
intents
/
{paymentIntentId}
/
refunds
List refunds
Authorizations
Your secret key, e.g. sk_live_... or sk_sandbox_....
Path Parameters
The payment intent id.
Query Parameters
Number of records per page.
Opaque cursor taken from pagination.next_cursor.
Was this page helpful?
⌘I